### Method

# Tsparql Resource print_turtle

deprecated: 3.4

#### Declaration [src]

    char*
    tracker_resource_print_turtle (
      TrackerResource* self,
      TrackerNamespaceManager* namespaces
    )

#### Description [src]

Serialize all the information in `resource` as a Turtle document.

The generated Turtle should correspond to this standard: https://www.w3.org/TR/2014/REC-turtle-20140225/

The `namespaces` object is used to expand any compact URI values. In most cases you should pass the one returned by `tracker_sparql_connection_get_namespace_manager()` from the connection that is the intended recipient of this data.

Deprecated since: 3.4

Use `tracker_resource_print_rdf()` instead.

#### Parameters

`namespaces`

  Type: `TrackerNamespaceManager`

  A set of prefixed URLs, or `NULL` to use the Nepomuk set.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `char*`

A newly-allocated string.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.